Create New TPN

API Explorer
https://externalapi.ipospays.tech/v2
POST

Provision a new Terminal Profile Number (TPN) under an existing merchant and store by providing merchantId and storeId with full tpnData. This API allows you to add a TPN under an existing merchant and store, update TPN parameters required for device onboarding and integration, and retrieve TPN details.

Authorization

AuthorizationHeader
token(Enter the auth token generated from the authentication endpoint)<token>

Authentication token generated using the API Key and Secret Key. Required for all API requests.

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/merchant/onBoardMerchant" \  -H "Content-Type: application/json" \  -d '{    "merchantData": {      "merchantId": ""    },    "storeData": {      "storeId": ""    },    "tpnData": {      "deviceManufacturer": "Cloud POS",      "deviceModel": "Cloud POS",      "tpnApplicationSign": "CRDT",      "tpnRoutingType": "SIMPLE",      "tpnBin": "999991",      "defaultLabel": "onboardAPI",      "tpnAssignTemplate": "",      "tpnProcessor": {        "processorName": "TSYS",        "profile": [          {            "profileId": "01",            "Mid": "886000003338",            "Agent": "000000",            "Chain": "111111",            "Store": "5999",            "TermNo": "1515",            "TermId": "75124668"          }        ]      }    }  }'
{
  "message": "TPN onboard success",
  "data": {
    "merchantId": "merchId12chr",
    "storeId": "storeId12chr",
    "tpn": "75124668",
    "tpnId": "tpnId12chr"
  }
}
{
  "message": "TPN onboard failure",
  "errors": [
    {
      "code": "mandatory_field",
      "message": "Device model input is mandatory",
      "param": "tpnData.deviceModel"
    }
  ]
}
{
  "message": "Access denied, invalid authorization token!",
  "errors": []
}